Bug 1692176 - dnf install pycam fails due dependencies issue
Summary: dnf install pycam fails due dependencies issue
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pycam
Version: 29
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: John Morris
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2FTBI F30FailsToInstall F31FailsToInstall F29FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-03-24 21:53 UTC by Cristian Ilyes
Modified: 2019-05-01 00:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 08:36:06 UTC


Attachments (Terms of Use)

Description Cristian Ilyes 2019-03-24 21:53:04 UTC
Description of problem:
Cannot install pycam from Fedora repo using dnf

Version-Release number of selected component (if applicable):

pycam-0.5.1-11.fc28.noarch
running on:
[root@dell-crisst crisst]# uname -a
Linux dell-crisst.ilyes.id.au 4.20.16-200.fc29.x86_64 #1 SMP Thu Mar 14 15:10:22 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
always

Steps to Reproduce:
1. go to console
2. sudo dnf install pycam
3.

Actual results:
[root@dell-crisst crisst]# dnf install pycam
Last metadata expiration check: 0:33:58 ago on Mon 25 Mar 2019 08:13:57 AEDT.
Error:
 Problem: conflicting requests
  - nothing provides PyOpenGL needed by pycam-0.5.1-11.fc28.noarch
(try to add '--skip-broken' to skip uninstallable packages)

Expected results:
install 

Additional info:
this install was upgraded from fedora 28 using dnf system upgrade

this are the repos used by dnf:
[root@dell-crisst crisst]# dnf repolist
Last metadata expiration check: 0:37:30 ago on Mon 25 Mar 2019 08:13:57 AEDT.
repo id                            repo name                                            status
*fedora                            Fedora 29 - x86_64                                   58,207
*fedora-modular                    Fedora Modular 29 - x86_64                                8
fedora-multimedia                  negativo17 - Multimedia                                 414
google-chrome                      google-chrome                                             3
google-earth                       google-earth                                              2
*rpmfusion-free                    RPM Fusion for Fedora 29 - Free                         596
*rpmfusion-free-updates            RPM Fusion for Fedora 29 - Free - Updates               221
*rpmfusion-nonfree                 RPM Fusion for Fedora 29 - Nonfree                      228
*rpmfusion-nonfree-updates         RPM Fusion for Fedora 29 - Nonfree - Updates             65
skype-stable                       skype (stable)                                            5
teamviewer                         TeamViewer - x86_64                                      19
*updates                           Fedora 29 - x86_64 - Updates                         18,793
*updates-modular                   Fedora Modular 29 - x86_64 - Updates                      6

Comment 1 Miro Hrončok 2019-04-22 14:17:59 UTC
$ mock -r fedora-rawhide-x86_64 install pycam
...
Error: 
 Problem: conflicting requests
  - nothing provides PyOpenGL needed by pycam-0.5.1-11.fc28.noarch


Please fix this or retire the package.

Comment 2 Michael K Johnson 2019-04-27 18:38:55 UTC
I am also seeing this, on a system updated from F28.

# dnf install python2-pyopengl
Package python2-pyopengl-3.1.1a1-14.fc29.x86_64 is already installed.
# rpm -q --provides python2-pyopengl
python-pyopengl = 3.1.1a1-14.fc29
python-pyopengl(x86-64) = 3.1.1a1-14.fc29
python2-pyopengl = 3.1.1a1-14.fc29
python2-pyopengl(x86-64) = 3.1.1a1-14.fc29
python2.7dist(pyopengl) = 3.1.1a1
python2.7dist(pyopengl-accelerate) = 3.1.1a1
python2dist(pyopengl) = 3.1.1a1
python2dist(pyopengl-accelerate) = 3.1.1a1

Comment 3 Michael K Johnson 2019-04-27 18:44:59 UTC
I see that pycam was not rebuilt for F30, so the failing dependency is still blocking install of this packages for F30.

Comment 4 Miro Hrončok 2019-04-29 20:06:10 UTC
A week has passed and this bug is still in the NEW state and the package does not install.

Please fix this or indicate that you are working ona  fix by setting the state to ASSIGNED.

After 3 such reminders, this package may be orphaned.

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

Thanks

Comment 5 John Morris 2019-04-30 01:33:14 UTC
I've gone ahead and retired this package.  The project has no active upstream maintainers.

Comment 6 Miro Hrončok 2019-04-30 08:36:06 UTC
Thanks.

Comment 7 Michael K Johnson 2019-05-01 00:06:53 UTC
I don't think that's the case.

https://github.com/SebKuzminsky/pycam appears to be the active fork, with activity in the past month and a reasonably recent release.

Any reason not to move to the active fork?


Note You need to log in before you can comment on or make changes to this bug.